Subject: BIRD27.1 DIFFERENTIAL THRESHOLD

From: [email-masked] ( Bob Ross)
Date: Thu, 21 Sep 95 09:26 PDT

To IBIS Committee:

BIRD27.1 is an IBIS Version 3.0 proposal to provide/change the diff_pin
default threshold and also to provide a simplier syntax for the [Diff_Pin]
entries.  

This issue was deferred while the IBIS Version 2.1 ratification discussion
was taking place.  It is now presented for consideration an/or a vote.

Bob Ross,
Interconnectix, Inc.

                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#: 27.1
ISSUE TITLE: Propose new keyword to specify default differential threshold 
REQUESTOR:   Bob Ward, Texas Instruments & Bob Ross, Inteconnectix, Inc.
DATE SUBMITTED:  03APR95
DATE MODIFIED:   21SEPT95
DATE ACCEPTED BY IBIS OPEN FORUM:

******************************************************************************* 
*******************************************************************************

STATEMENT OF THE ISSUE:

The proposal is made to include a new keyword [diff_threshold] to set the 
default value of differential threshold voltage.  This is similar in spirit 
to the use of Lpkg, Rpkg, and Cpkg to set default values for pins.

*******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS: 

(1) An Optional keyword is defined after each [Component] along with 
the [Manufacturer] and [Package] keywords where component or package
defaults are collected.

|========================================================================= 
| Keyword:     [Diff_Threshold]
|
| Required:    No
|
| Description: Specifies the default value for the differential threshold 
|              voltage of a differential input pin pair.  If thresholds
|              are set on individual pin pairs, these override the default 
|              specifed here.
|
| Usage Rules: This keyword is to be specified only if diffential pin 
|              pairs are specified, although no harm will come from
|              specifying it otherwise.  
|
|* Delete this (redundant) sentence.
|*                                        If diff pins are then not
|*             specified, only some redundant work is done since an unused 
|*             default is all that is changed and so no harm is done.
|
|------------------------------------------------------------------------- 
[Diff_Threshold]  420mv  | Set default differential threshold to .420 V
|

(2) The [Diff_Pin] keyword is modified with changes shown by "|*" :

|==============================================================================
|    Keyword:  [Diff Pin]
|   Required:  No
|Description:  Associates differential pins, their differential
|              threshold voltages, and differential timing delays.
| Sub-Params:  inv_pin, vdiff, tdelay_typ, tdelay_min, tdelay_max
|Usage Rules:  Enter only differential pin pairs.  The first column,
|              [Diff Pin], contains a non-inverting pin number.  The second
|              column, inv_pin, contains the corresponding inverting pin number
|              for I/O output.  Each pin number must match the pin
|              numbers declared previously in the [Pin] section of the IBIS
|              file.  The third column, vdiff, contains the specified
|              output and differential threshold voltage between pins if
|              the pins are Input or I/O model types.  For output only
|              differential pins, the vdiff entry is 0V.  The forth, fifth,
|              and sixth columns, tdelay_typ, tdelay_min, and tdelay_max,
|              contain launch delays of the non-inverting pins relative to
|              the inverting pins.  The values can be of either polarity.
|
|              If a pin is a differential input pin, the differential input
|              threshold (vdiff) overrides and supersedes the need for Vinh and
|              Vinl.
|
|              If vdiff is not defined for a pin that is defined as requiring a
|              Vinh by its [Model] type, vdiff is set to the default value of
|              200mV.
|
|Other Notes:  The output pin polarity specification in the table overrides
|              the [Model] Polarity specification such that the pin in the
|              [Diff Pin] column is Non-Inverting and the pin in the
|              inv_pin column is Inverting.  This convention enables
|              one [Model] to be used for both pins.
|
|              Column length limits are:
|                 [Diff Pin]     5 characters max
|                 inv_pin        5 characters max
|                 vdiff          9 characters max
|                 tdelay_typ     9 characters max
|                 tdelay_min     9 characters max
|                 tdelay_max     9 characters max
|
|*             Each line must contain two, four or six columns.  Only the
|*             inv_pin header needs to be listed if only two columns are
|*             entered.  The vdiff values use the [Diff_Threshold] value
|*             if defined and 200mV if not defined for all differential input
|*             thresholds of Input and I/O pins, and 0V otherwise.  All
|*             tdelay values are set to 0ns.
|*
|*             If four columns are entered, the vdiff and tdelay_typ headers
|*             must be listed.  If six columns are entered, the tdelay_min
|*             and tdelay_max headers must be listed.  
|*
|              If "NA" is
|              entered in the vdiff, tdelay_typ, or tdelay_min columns, its
|              entry is interpreted as 0V or 0ns.  If "NA" appears in
|              the tdelay_max column, its value is interpreted as the
|*              tdelay_typ value.  {sentence deleted}

|*  Remove this sentence:
|*                                 When using six columns, the headers
|*              tdelay_min and tdelay_max must be listed.  
|*
|
|                                                           Entries for the
|              tdelay_min column are based on minimum magnitudes; and
|              tdelay_max column, maximum magnitudes.  One entry of vdiff,
|              regardless of its polarity, is used for difference magnitudes.
|---------------------------------------------------------------------------
[Diff Pin]  inv_pin  vdiff  tdelay_typ tdelay_min tdelay_max
|
 3           4       150mV    -1ns       0ns      -2ns  | Input or I/O pair
 7           8         0V      1ns        NA        NA  | Output* pin pair
 9          10         NA       NA        NA        NA  | Output* pin pair
16          15       200mV     1ns    | Input or I/O pin pair
20          19         0V       NA    | Output* pin pair, tdelay = 0ns
22          21         NA       NA    | Output*, tdelay = 0ns
                                      | * Could be Input or I/O with vdiff = 0V
|* 25       24                        | Illustrates a two column format using
|*                                    | [Diff_Threshold] value
|
|==============================================================================

*******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

We have a differential switch matrix chip for telecom switching ( yes, it 
is digital! ) which has rather larger threshold than the 200mv provided as 
a default by the present spec.  It also has a large number, several tens, 
of input pin pairs.  It would be desireable to be able to set this 
threshold without having to specify it on each pin pair.  It could still 
be specified per pin pair, and that specification would override this 
default.  This keyword only specifies a default value other than the fixed 
value stated in the present spec.  This keyword is in exactly the same 
spirit as the default package parasitics keywords.

A [Diff_Pin] two-column format extension is proposed since that will
conform to many practical applications, especially with the [Diff_Threshold]
default entry method.

*******************************************************************************

ANY OTHER BACKGROUND INFORMATION:
It is conceivable that this keyword could specify typ, min, and max 
values, but this is not seen as necessary at this time.

---

From: Will Hobbs <[email-masked]>
Date: Tue, 26 Sep 95 17:29:00 PDT

Text item: 

Bob, et al,

A point of order:  You (Bob Ross) already issued revision 27.1 on 5/29/95.  This
revision is therefore 27.2.

Will

To IBIS Committee:

Bob Ross,
Interconnectix, Inc.

BIRD ID#: 27.1

STATEMENT OF THE ISSUE:

|*  Remove this sentence:

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Subject: BIRD27.1 DIFFERENTIAL THRESHOLD
To: [email-masked]
From: [email-masked] ( Bob Ross)
Date: Thu, 21 Sep 95 09:26 PDT
:30:04 -0700
Received: from hermes.intel.com by ichips.intel.com (5.64+/10.0i); Thu, 21 Sep 9
5 10:30:17 -0700
Received: from ichips.intel.com by relay.jf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0svpS0-000txYC; Thu, 21 Sep 95 10:30 PDT